/* Integrating DJ Native Swing into NetBeans RCP
 *
 * See the DJ Project by Christopher Deckers
 * http://djproject.sourceforge.net/ns/index.html
 *
 * Geertjaan Wielenga "Step-by-Step Instructions for Integrating DJ Native
 * Swing into NetBeans RCP"
 * http://netbeans.dzone.com/how-to-nb-djnative-swing?utm_source=feedburner&utm_
 * medium=feed&utm_campaign=Feed%3A+zones%2Fnetbeans+%28NetBeans+Zone%29
 *
 * Eclipse swt library
 * http://download.eclipse.org/eclipse/downloads/drops/R-3.6-201006080911/
 *
 * This code may be freely distributed and modified under the
 * terms of the GNU Lesser General Public Licence v2.1.
 */
package org.starbeans.modules.nativeswing;

import chrriis.dj.nativeswing.NSComponentOptions;
import chrriis.dj.nativeswing.swtimpl.NativeInterface;
import chrriis.dj.nativeswing.swtimpl.components.JWebBrowser;
import chrriis.dj.nativeswing.swtimpl.netbeans.NativeInterfaceNetBeansHandler;


/**
 *
 * @author George Waldon
 */
public class DJNSFactory {
    
    private static boolean isInitialized;
    
    private DJNSFactory() {};
    
    public static synchronized void initialize() {
        if (!isInitialized) {
            NativeInterfaceNetBeansHandler.initialize();
            NativeInterface.initialize();
            NativeInterface.open();
            isInitialized = true;
        }
    }
    
    public static JWebBrowser createJWebBrowser() {
        initialize();
        return new JWebBrowser(NSComponentOptions.destroyOnFinalization());
    }
}
